Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OperationDescriptionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.OperationDescriptionHelper

public class OperationDescriptionHelper
extends java.lang.Object

Helper class for : OperationDescription

Author:
  OpenORB Compiler

Constructor Summary
`OperationDescriptionHelper()`

Method Summary
`static OperationDescription` | `extract(Any a)` Extract OperationDescription from an any
`static java.lang.String` | `id()` Return the OperationDescription IDL ID
`static void` | `insert(Any a, OperationDescription t)` Insert OperationDescription into an any
`static OperationDescription` | `read(InputStream istream)` Read OperationDescription from a marshalled stream
`static TypeCode` | `type()` Return the OperationDescription TypeCode
`static void` | `write(OutputStream ostream, OperationDescription value)` Write OperationDescription into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDescriptionHelper

    public OperationDescriptionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              OperationDescription t)

  Insert OperationDescription into an any
  Parameters:
    `a` - an any
    `t` - OperationDescription value

### extract

    public static OperationDescription extract(Any a)

  Extract OperationDescription from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted OperationDescription value

### type

    public static TypeCode type()

  Return the OperationDescription TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the OperationDescription IDL ID
  Returns:
    an ID

### read

    public static OperationDescription read(InputStream istream)

  Read OperationDescription from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed OperationDescription value

### write

    public static void write(OutputStream ostream,
                             OperationDescription value)

  Write OperationDescription into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - OperationDescription value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD